Bug 127432 - Kernel Oops when loading pcmcia CF Card
Kernel Oops when loading pcmcia CF Card
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-08 00:25 EDT by Ow
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-28 09:30:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ow 2004-07-08 00:25:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040612 Firefox/0.8

Description of problem:
Kernel will hard_hang after subsequent
insertion/mounting/unmounting/re-insert/re-mount/re-unmount of a CF card
into a PCMCIA adapter.

Network connectivity is also lost. This is seen in both the
2.6.7(kernel.org) and the FC2 2.6.6-1.435 kernels

Issue is not seen under RH9 system running 2.6.3 kernel. Tested and
verified


System Info
Distro   : FC2/RH9
Kerne   : 2.6.6-1.435, 2.6.7, 2.6.3(RH9)
Laptop  : Dell D600
pcmcia-cs-3.2.7-1.5.i386.rpm
kernel options root=/dev/hda9 resume=/dev/hda5 ro

CF Card Tested
  product info: "SanDisk", "SDP", "5/3 0.6"  (problematic 512MB)
  manfid: 0x0045, 0x0401
  function: 4 (fixed disk)

  product info: "SunDisk", "SDP", "5/3 0.6" (OK 32MB)
  manfid: 0x0045, 0x0401
  function: 4 (fixed disk)

  product info: "64MB", " " (OK 64MB PQI)
  manfid: 0x0000, 0x0000
  function: 4 (fixed disk)


Version-Release number of selected component (if applicable):
pcmcia-cs-3.2.7-1.5.i386.rpm

How reproducible:
Always

Steps to Reproduce:
Steps to Reproduce
1. Insert Card
2. Mount Card 
3. Unmount Card
4. Eject
5. Insert card
6. Mount Card
7. Unmount Card
8. Eject Card
9. Kernel Panic found in syslog (system still OK)
10. Insert Card (Full Kernel Hang. Reboot)


Actual Results:  Kernel Panic reference to resource not available

Expected Results:  Card should mount and unmount fine
Comment 1 Ow 2004-07-08 00:27:13 EDT
Additional info:

Relevent Lines from /var/log/messages
====kernel 2.6.6-1.435======
kernel: hde: SanDisk SDCFB-512, DISK drive
kernel: ide2 at 0x100-0x107,0x10e irq 3
kernel: hde: max request 128KiB
kernel: hde: 1000944 sectors MB) w/1KiB Cache, CHS=993/16/63
kernel:  hde: hde1
kernel: ide-cs: hde: Vcc 3.3, Vpp = 0.0
cardmgr[4049]: executing: './ide start 2>&1'
cardmgr[4049]: + ./ide: line /sbin/ide_info: No such file or directory
kernel:  hde: hde1
cardmgr[4049]: executing: './ide stop 2>&1'
cardmgr[4049]: + ./ide: line /sbin/ide_info: No such file or directory
cardmgr[4049]: socket 0: ATA/IDE Disk
kernel: hde: SanDisk SDCFB-512, DISK drive
kernel: ide2 at 0x110-0x117,0x11e irq 3
kernel: hde: max request 128KiB
kernel: hde: 1000944 sectors MB) w/1KiB Cache, CHS=993/16/63
kernel:  hde: hde1
kernel: ide-cs: hde: Vcc 3.3, Vpp = 0.0
cardmgr[4049]: executing: './ide start 2>&1'
cardmgr[4049]: + ./ide: line /sbin/ide_info: No such file or directory
kernel:  hde: hde1
kernel: Unable to handle paging request at virtual address 5f6f6974
kernel:  printing eip:
kernel: 021e1053
kernel: *pde = 00000000
kernel: Oops: 0000 [#1]
kernel: Modules linked in: yenta_socket radeon autofs4 sunrpc 3c589_cs
ds pcmcia_core tg3 snd_mixer_oss snd_in
tel8x0 snd_ac97_codec snd_pcm snd_timer gameport snd_mpu401_uart
kernel: CPU:   0
kernel: EIP:   0060:[<021e1053>]    Not tainted
kernel: EFLAGS: 00010002  (2.6.6-1.435)
kernel: EIP is at
kernel: eax: 5f6f6970  ebx: 00000084   ecx: 09a43628   edx: 00000000
kernel: esi: 00000021  edi: 0237c090   ebp: 022de668   esp: 09d3df14
kernel: ds: 007b  es: 007b   ss: 0068
kernel: Process pccardd (pid: threadinfo=09d3d000 task=0b06af30)
kernel: Stack: 00000000 00000246 0237c3f0 0237c238 21f75338 0237c080
021f4bd2
kernel:       0ae63974 ffffffff 00000001 00000002 21f75738 21f75738
21f757b0 213e4c2c
kernel:       22b61732 21f75638 00000008 00000001 22b617df 22b68150
213e4c2c 213e4d90
kernel: Call Trace:
kernel:  [<021f4bd2>] ide_unregister+0x30d/0x3b2
kernel:  [<22b61732>] ide_release+0x1c/0x7f
kernel:  [<22b617df>] ide_event+0x4a/0x8f
kernel:  [<22b68150>] send_event+0x35/0x4c
kernel:  [<22b68179>] socket_remove_drivers+0x12/0x2c
kernel:  [<22b6819b>] socket_shutdown+0x8/0x44
kernel:  [<22b685ef>] socket_remove+0x8/0x34
kernel:  [<22b68664>] socket_detect_change+0x49/0x5f
kernel:  [<22b68780>] pccardd+0x106/0x19d
kernel:  [<02115e4e>] default_wake_function+0x0/0xc
kernel:  [<02115e4e>] default_wake_function+0x0/0xc
kernel:  [<22b6867a>] pccardd+0x0/0x19d
kernel:  [<021041d9>] kernel_thread_helper+0x5/0xb
kernel:
kernel: Code: 39 70 74 07 83 38 00 89 c1 75 f2 8b 11 85 d2 17 8
Comment 2 Dave Jones 2005-01-14 01:02:55 EST
any improvement with the latest kernel updates ?
Comment 3 John Thacker 2006-04-28 09:30:30 EDT
No response from reporter to request for information.
FC2 is the responsibility of Fedora Legacy now, and this, while
a crash, does not seem to be a security issue.
Closing; please reopen if it appears in FC4 or FC5.

Note You need to log in before you can comment on or make changes to this bug.